/*------------------------------------------------------------------------------
ROOT.C     This example is designed for the Keil MCB517AC prototype board

Copyright 1997 KEIL Software, Inc.
------------------------------------------------------------------------------*/
#include <reg517.h>

extern void func0(void);
extern void func1(void);
extern void func2(void);
extern void func3(void);
extern void func4(void);
extern void func5(void);


void main(void) {

  P4 = 0;           /* switch off all LED's */

  while(1) {
    func0();        /* call a function in bank 0 */
    func1();        /* call a function in bank 1 */
    func2();        /* call a function in bank 2 */                                    
    func3();        /* call a function in bank 3 */
    func4();        /* call a function in bank 4 */
    func5();        /* call a function in bank 5 */
    P4 ^= 0x80;     /* toggle LED 7 */
  }
}
